Subject: Re: bug#12933: 24.3.50; Hard space and w32-downcase-file-names: crash

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Dec 2012 20:49:53 +0200

> Date: Tue, 4 Dec 2012 06:04:03 -0800 (PST)
> From: Michel de Ruiter <[email-masked]>
> Cc: [email-masked], [email-masked], 
> 	Eli Zaretskii <[email-masked]>
> 
> > Thanks, this was fixed in revision 110912 on the emacs-24 branch.
> 
> I tested this (in emacs-24-r110985-2012.12.03-w32-i386) and indeed, this specific situation is fixed. Whether I type 2 4 0 (not hard space after all) or 1 6 0 (which I think I meant from the beginning).
> 
> But if I type RET *again* (after quoted-inserting only the single character), to open a new file with that name, I still get a crash.
> 
> A stack trace is below.
> 
> Or should I report this as a separate bug?

No, it's another incarnation of the same bug.  Fixed in revision
110988 on the emacs-24 branch.

Thanks.